//------------------------------------------------------------------------------
//SFWK Framework
//Copyright (C) 2011 SQLI

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace SFWK.Core.Error
{
    /// <summary>
    /// Defines business exception for Duplicate object
    /// </summary>
    [DataContract]
    public class DuplicateObject : SFWK.Core.SFWKError
    {
        private string _errorCode;
        /// <summary>
        /// Label code to get translation
        /// </summary>
        public override string ErrorCode
        {
            get { return string.IsNullOrEmpty(_errorCode) ? "Objet dupliqué" : _errorCode; }
            set { _errorCode = value; }
        }
        #region Constructors
        public DuplicateObject()  { }
        public DuplicateObject(string[] paramList) : base(paramList) { }
        #endregion
    }
}

