//------------------------------------------------------------------------------
//SFWK Framework
//Copyright (C) 2011 SQLI

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SFWK.DAO
{
    public class DAOContextDisposer : SFWK.Core.Inspector.IInspectAfterCall
    {

        #region IInspect Members

        public void Inspect(string operationName, object[] parameters)
        {
            DisposeDataContext();
        }


        public void Inspect(SFWK.Core.Inspector.InspectorAttribute.EOperatorType operatorType, int position, string operationName, object[] parameters)
        {
            throw new System.NotImplementedException();
        }

        /// <summary>
        /// Dispose the data context
        /// </summary>
        public static void DisposeDataContext()
        {
            DataContextFactory.DisposeScopedDataContext();
        }
        #endregion
    }
}

